Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen.asm.sc
[Java] Class StaticInvocationWriter

    java.lang.Object
      org.codehaus.groovy.classgen.asm.InvocationWriter
          org.codehaus.groovy.classgen.asm.sc.StaticInvocationWriter

    public class StaticInvocationWriter
    extends InvocationWriter

Field Summary

Fields inherited from class InvocationWriter
invokeClosureMethod, invokeMethod, invokeMethodOnCurrent, invokeMethodOnSuper, invokeStaticMethod

Constructor Summary
`StaticInvocationWriter(WriterController wc)`

Method Summary
`protected static boolean` | `isPrivateBridgeMethodsCallAllowed(ClassNode receiver, ClassNode caller)`
`protected void` | `loadArguments(java.util.List argumentList, Parameter[] para)`
`void` | `makeCall(Expression origin, Expression receiver, Expression message, Expression arguments, MethodCallerMultiAdapter adapter, boolean safe, boolean spreadSafe, boolean implicitThis)`
`protected boolean` | `writeDirectMethodCall(MethodNode target, boolean implicitThis, Expression receiver, TupleExpression args)`
`void` | `writeInvokeConstructor(ConstructorCallExpression call)`

Methods inherited from class InvocationWriter
finnishConstructorCall, getMethodName, loadArguments, makeArgumentList, makeCall, makeSingleArgumentCall, prepareConstructorCall, writeDirectMethodCall, writeInvokeConstructor, writeInvokeMethod, writeInvokeStaticMethod

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### StaticInvocationWriter

    public StaticInvocationWriter(WriterController wc)

Method Detail

### isPrivateBridgeMethodsCallAllowed

    protected static boolean isPrivateBridgeMethodsCallAllowed(ClassNode receiver, ClassNode caller)

### loadArguments

    protected void loadArguments(java.util.List argumentList, Parameter[] para)

### makeCall

    "spreadresult" + counter,
    public void makeCall(Expression origin, Expression receiver, Expression message, Expression arguments, MethodCallerMultiAdapter adapter, boolean safe, boolean spreadSafe, boolean implicitThis)

### writeDirectMethodCall

    @Override
    protected boolean writeDirectMethodCall(MethodNode target, boolean implicitThis, Expression receiver, TupleExpression args)

### writeInvokeConstructor

    @Override
    public void writeInvokeConstructor(ConstructorCallExpression call)

Groovy Documentation